Bug 374981 - Loading of module snd-powermac results in complete system hang
Loading of module snd-powermac results in complete system hang
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-10 13:45 EST by Eric Wood
Modified: 2009-01-09 00:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:08:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Wood 2007-11-10 13:45:04 EST
Description of problem: I have seen this issue on a Power Mac G4 "Digital Audio"
and a Lombard Powerbook G3. The Apple sound in these systems isn't supported at
boot time, but using modprobe to load snd-powermac (or using the GUI Soundcard
Detection utility) will get the sound loaded and apparently working. However,
after some time, the system will invariably crash hard, needing a hard reset. I
am able to use a PCI Ensoniq sound card on my tower to avoid this issue, but
this is obviously not available on the Power Book.

Also, sound channels are not properly handled on the G4 Digital Audio. The
internal speaker doesn't work until something is plugged into the Mac's
sound-out port. Then the internal speaker will play sound, but no sound goes to
whatever is plugged in.

Version-Release number of selected component (if applicable): Fedora 7, Fedora 8.

How reproducible: Always.

Steps to Reproduce:
1. Boot system, update if necessary.
2. See that sound is not recognised. Use modprobe snd-powermac or the GUI util
to load the sound modules.
3. Seems to crash whether the sound is in use or not - it just takes a little
while. Wait it out.
Actual results: System seems to work with sound modules loaded, but eventually

Expected results: Firstly, I expect sound to work without use of modprobe.
Secondly, of course, I expect the system not to crash.

Additional info: This problem seemed to begin plaguing Fedora releases when udev
was implemented. I'm fairly certain (though I will have to test FC 5 or FC 6 to
be certain) that the hard crashes began in Fedora 7.
Comment 1 Harald Hoyer 2007-11-12 03:04:02 EST
changing to component "kernel"
Comment 2 Chuck Ebbert 2007-11-12 18:41:54 EST
(In reply to comment #0)
> Version-Release number of selected component (if applicable): Fedora 7, Fedora 8.

Which Fedora 8 kernel? Was tested?
Comment 3 Eric Wood 2007-11-26 02:09:55 EST
(In reply to comment #2)
> (In reply to comment #0)
> > Version-Release number of selected component (if applicable): Fedora 7,
Fedora 8.
> > 
> Which Fedora 8 kernel? Was tested?
I have freshly installed Fedora 8 and updated to kernel While the
module continues to fail to stay loaded at boot time (so that I have to use
modprobe or the Soundcard Configuration GUI to load it), the system seems
stable. I let it play music all day and it didn't crash.
Comment 4 Christopher Brown 2008-02-07 12:34:10 EST

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 5 Eric Wood 2008-06-12 09:42:45 EDT
I don't know how to close it myself, but it might as well be. I think the crash
was more a problem with that particular hardware. That system crashes like that
in Mac OS X when compiling source code, oddly enough.
Comment 6 Bug Zapper 2008-11-26 03:17:37 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2009-01-09 00:08:26 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.